Query Custom Ringtone List
Query the list of custom ringtones.
Request URL
GET {base_url}/{api_path}/custom_ringtone/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of custom ringtones. |
| ringtone_list | Array <Custom_Ringtone> | The basic information of each custom ringtone. |
Custom_Ringtone
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the custom ringtone. |
| file | String | The filename of the custom ringtone. |
| suffix | String | The file extension of the custom ringtone.
|
| type | String | The type of the custom ringtone.
|
Examples
Request example
GET /openapi/v1.0/custom_ringtone/list?access_token=R71gawGyOcPJGtH1wbpP4BOZGhqRcOoG&page=1&page_size=3 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 11,
"ringtone_list": [
{
"id": 12,
"file": "DawnChime.wav",
"suffix": ".wav",
"type": "backend"
},
{
"id": 2,
"file": "Ring1.mp3",
"suffix": ".mp3",
"type": "built-in"
},
{
"id": 3,
"file": "Ring2.mp3",
"suffix": ".mp3",
"type": "built-in"
}
]
}